CVE-2014-4157 (retired)

Priority
Description
arch/mips/include/asm/thread_info.h in the Linux kernel before 3.14.8 on
the MIPS platform does not configure _TIF_SECCOMP checks on the fast
system-call path, which allows local users to bypass intended
PR_SET_SECCOMP restrictions by executing a crafted application without
invoking a trace or audit subsystem.
Notes
 jdstrand> android kernels (goldfish, grouper, maguro, mako and manta) are not
  supported on the Ubuntu Touch 13.10 preview kernels
 jdstrand> android kernels (flo, goldfish, grouper, maguro, mako and manta) are
  not supported on the Ubuntu Touch 14.04 preview kernels
 mdeslaur> probably not affected since MIPS specific...need to check
Package
Source: linux (LP Ubuntu Debian)
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (MIPS specific)
Patches:
Introduced by 1da177e4c3f41524e886b7f1b8a0c1fc7321cac2Fixed by 137f7df8cead00688524c82360930845396b8a21
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Patches:
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):not-affected
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
Package
Upstream:released (3.15~rc1)
Ubuntu 14.04 LTS (Trusty Tahr):DNE
More Information

Updated: 2019-03-26 12:13:15 UTC (commit ccdecfcf0fead22bd291e5f4ea745a46872dcb15)